Skip to main content
GET
/
v1
/
custom-fields
List Custom Fields
curl --request GET \
  --url https://api.spairehq.com/v1/custom-fields/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "metadata": {},
      "type": "<string>",
      "slug": "<string>",
      "name": "<string>",
      "organization_id": "<string>",
      "properties": {
        "form_label": "<string>",
        "form_help_text": "<string>",
        "form_placeholder": "<string>",
        "textarea": true,
        "min_length": 1073741823,
        "max_length": 1073741823
      }
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

query
string | null

Filter by custom field name or slug.

type

Filter by custom field type.

Available options:
text,
number,
date,
checkbox,
select
page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
slug,
-slug,
name,
-name,
type,
-type

Response

Successful Response

items
(CustomFieldText · object | CustomFieldNumber · object | CustomFieldDate · object | CustomFieldCheckbox · object | CustomFieldSelect · object)[]
required

Schema for a custom field of type text.

pagination
Pagination · object
required